<template>
  <div class="max-w-sm rounded overflow-hidden shadow-lg">
    <div class="px-6 py-4">
      <div class="font-bold text-xl mb-2">Summary: {{ hourly.summary }}</div>
      <p class="text-gray-700 text-base">
        <span>Wind speed: </span>
        <b>{{ hourly.windSpeed }}</b>
      </p>
      <p class="text-gray-700 text-base">
        <span>Visibility: </span>
        <b>{{ hourly.visibility }}</b>
      </p>
      <p class="text-gray-700 text-base">
        <span>UV index: </span>
        <b>{{ hourly.uvIndex }}</b>
      </p>
      <p class="text-gray-700 text-base">
        <span>Humidity: </span>
        <b>{{ hourly.Humidity }}</b>
      </p>
    </div>
    <div class="px-6 pt-4 pb-2">
      <span
        class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2 mb-2"
        >#photography</span
      >
      <span
        class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2 mb-2"
        >#travel</span
      >
      <span
        class="inline-block bg-gray-200 rounded-full px-3 py-1 text-sm font-semibold text-gray-700 mr-2 mb-2"
        >#winter</span
      >
    </div>
  </div>
</template>

<script setup>
import { defineProps } from 'vue';

defineProps({
  hourly: {
    type: Object,
    require: true
  }
});
</script>
